date
echo "__Initial 2secs Begins"
sleep 2
echo "SANITY TEST STARTS"
{ sleep 2;

  #cpu utilization
  echo $1; sleep 1; echo 1; sleep 1; echo 500; sleep 1;
  #Mem info
  echo 1; sleep 1; echo 501; sleep 1;
  #Mem leak
  echo 1; sleep 1; echo 624; sleep 1;
  #SENSOR
  echo 1; sleep 1; echo 560; sleep 1; echo 10; sleep 1; 
  #SENSOR
  echo 1; sleep 1; echo 560; sleep 1; echo 19; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 201; sleep 1; echo 0; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 201; sleep 1; echo 1; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 203; sleep 1; echo 0; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 203; sleep 1; echo 1; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 206; sleep 1; echo 0; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 206; sleep 1; echo 1; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 206; sleep 1; echo 2; sleep 1; 
  #EPS
  echo 11; sleep 1; echo 208; sleep 1;  
  #EPS
  echo 11; sleep 1; echo 209; sleep 1; 
  #PS ON
  echo 11; sleep 1; echo 211; sleep 1; echo 12; sleep 1; echo 1; sleep 60; 
  #TTY
  echo 3; sleep 1; echo 134; sleep 1; echo 117; sleep 1; echo pwd; sleep 4;
  #IPCC
  echo 1; sleep 1; echo 553; sleep 1; echo 1; sleep 1; 
  #IPCC
  echo 1; sleep 1; echo 553; sleep 1; echo 2; sleep 1; 
  #IPCC
  echo 1; sleep 1; echo 553; sleep 1; echo 3; sleep 1; echo 1; sleep 1;
  #IPCC
  echo 1; sleep 1; echo 553; sleep 1; echo 4; sleep 1; echo 1; sleep 1; 
  #IPCC
  echo 1; sleep 1; echo 553; sleep 1; echo 5; sleep 1; 
  #OTSU
  echo 8; sleep 1; echo 2; sleep 1; 
  #ADCS
  echo 6; sleep 10;
  #COMMS
  echo 20; sleep 1; echo 1; sleep 1; echo 2; sleep 1; echo 350; sleep 1;
  #COMMS
  echo 2; sleep 1; echo 369; sleep 1;
  #HM_FW
  echo 1; sleep 1; echo 621; sleep 1; echo 3; sleep 1; echo 2; sleep 5;
  #FILE TRANSFER TO OBC
  echo 20; sleep 1; echo 4; sleep 1; echo 4; sleep 1; echo 100; sleep 1; echo 1; sleep 1; echo SEN; sleep 1; echo FILE; sleep 1; echo 1; sleep 1; echo 1; sleep 1; echo 8kb.zip; sleep 1; echo 180; sleep 20; echo EX; sleep 1;

  #FILE TRANSFER TO PS 
  echo 4; sleep 1; echo 100; sleep 1; echo 2; sleep 1; echo SEN; sleep 1; echo FILE; sleep 1; echo 1; sleep 1; echo 8kb.zip; sleep 1; echo 180; sleep 20; echo EX; sleep 1;

  #cpu utilization
  echo 1; sleep 1; echo 500; sleep 1;
  #Mem info
  echo 1; sleep 1; echo 501; sleep 1;
  #Mem leak
  echo 1; sleep 1; echo 624; sleep 1;

echo 17;} | ./mfcc_sample_app
echo "SANITY TEST ENDS"



  





